<?php

// web routes  for site
Route::prefix('{guard}/site')->group(function () {
    Route::resource('site', 'SiteResourceController');
});

// Public routes for site
Route::get('sites/', 'SitePublicController@index');
Route::get('sites/{slug?}', 'SitePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SiteResourceController');
            });
            // Public routes for pages
            Route::get('sites/', 'SitePublicController@index');
            Route::get('sites/{slug?}', 'SitePublicController@show');
        }
    );
}

// web routes  for department
Route::prefix('{guard}/site')->group(function () {
    Route::resource('department', 'DepartmentResourceController');
});

// Public routes for department
Route::get('sites/', 'DepartmentPublicController@index');
Route::get('sites/{slug?}', 'DepartmentPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DepartmentResourceController');
            });
            // Public routes for pages
            Route::get('sites/', 'DepartmentPublicController@index');
            Route::get('sites/{slug?}', 'DepartmentPublicController@show');
        }
    );
}

// web routes  for center
Route::prefix('{guard}/site')->group(function () {
    Route::resource('center', 'CenterResourceController');
});

// Public routes for center
Route::get('sites/', 'CenterPublicController@index');
Route::get('sites/{slug?}', 'CenterPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CenterResourceController');
            });
            // Public routes for pages
            Route::get('sites/', 'CenterPublicController@index');
            Route::get('sites/{slug?}', 'CenterPublicController@show');
        }
    );
}

// web routes  for district
Route::prefix('{guard}/site')->group(function () {
    Route::resource('district', 'DistrictResourceController');
});

// Public routes for district
Route::get('sites/', 'DistrictPublicController@index');
Route::get('sites/{slug?}', 'DistrictPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DistrictResourceController');
            });
            // Public routes for pages
            Route::get('sites/', 'DistrictPublicController@index');
            Route::get('sites/{slug?}', 'DistrictPublicController@show');
        }
    );
}

