<?php

namespace Islhd\Site\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Trans\Traits\Translatable;

class Site extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, PresentableTrait;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'islhd.site.site.model';


    /**
     * The departments that belong to the site.
     */
    public function departments(){
        return $this->hasMany('Site\Site\Models\Department');
    }


    /**
     * The cost_centers that belong to the site.
     */
    public function cost_centers(){
        return $this->belongsToMany('Site\Site\Models\Center');
    }
}
