<?php

namespace Islhd\Site\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Site policy
        'Islhd\Site\Models\Site' => \Islhd\Site\Policies\SitePolicy::class,// Bind Department policy
        'Islhd\Site\Models\Department' => \Islhd\Site\Policies\DepartmentPolicy::class,// Bind Center policy
        'Islhd\Site\Models\Center' => \Islhd\Site\Policies\CenterPolicy::class,// Bind District policy
        'Islhd\Site\Models\District' => \Islhd\Site\Policies\DistrictPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
