<?php

namespace Islhd\Site\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CenterTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Site\Models\Center $center)
    {
        return [
            'id'                => $center->getRouteKey(),
            'key'               => [
                'public'    => $center->getPublicKey(),
                'route'     => $center->getRouteKey(),
            ], 
            'site_id'           => $center->site_id,
            'name'              => $center->name,
            'details'           => $center->details,
            'user_id'           => $center->user_id,
            'user_type'         => $center->user_type,
            'deleted_at'        => $center->deleted_at,
            'url'               => [
                'public'    => trans_url('site/'.$center->getPublicKey()),
                'user'      => guard_url('site/center/'.$center->getRouteKey()),
            ], 
            'status'            => trans('app.'.$center->status),
            'created_at'        => format_date($center->created_at),
            'updated_at'        => format_date($center->updated_at),
        ];
    }
}