<?php

namespace Islhd\Site\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartmentTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Site\Models\Department $department)
    {
        return [
            'id'                => $department->getRouteKey(),
            'key'               => [
                'public'    => $department->getPublicKey(),
                'route'     => $department->getRouteKey(),
            ], 
            'site_id'           => $department->site_id,
            'name'              => $department->name,
            'details'           => $department->details,
            'user_id'           => $department->user_id,
            'user_type'         => $department->user_type,
            'deleted_at'        => $department->deleted_at,
            'url'               => [
                'public'    => trans_url('site/'.$department->getPublicKey()),
                'user'      => guard_url('site/department/'.$department->getRouteKey()),
            ], 
            'status'            => trans('app.'.$department->status),
            'created_at'        => format_date($department->created_at),
            'updated_at'        => format_date($department->updated_at),
        ];
    }
}