<?php

namespace Islhd\Site\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DistrictTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Site\Models\District $district)
    {
        return [
            'id'                => $district->getRouteKey(),
            'key'               => [
                'public'    => $district->getPublicKey(),
                'route'     => $district->getRouteKey(),
            ], 
            'name'              => $district->name,
            'details'           => $district->details,
            'user_id'           => $district->user_id,
            'user_type'         => $district->user_type,
            'deleted_at'        => $district->deleted_at,
            'url'               => [
                'public'    => trans_url('site/'.$district->getPublicKey()),
                'user'      => guard_url('site/district/'.$district->getRouteKey()),
            ], 
            'status'            => trans('app.'.$district->status),
            'created_at'        => format_date($district->created_at),
            'updated_at'        => format_date($district->updated_at),
        ];
    }
}